OpenAPI English gyrohosting.com ↗
Markdown olarak görClaude'da aç ↗

Kurumsal mail

Kurumsal mail kısayolları (kutular, takma adlar, catch-all, otomatik yanıt, IMAP taşıma, DNS, spam, teslim kaydı, karantina, silinen posta, arşiv, 2FA). Kutular yerel kısımla (@ öncesi) adreslenir.

#GET/cloud/mail/{id}/mailboxes

mailboxes (GyroMail)Kapsam: services_readtyped_get_mail__id__mailboxesBu işlemin OpenAPI parçası

Genel köprünün kısayolu: araç mailboxes. Gövde alanları aracın kendi alanlarıdır.

Parametreler

AlaninTürAçıklama
id zorunlupathintegerService id

Yanıtlar

200Tool data / result — data: object
404Not found — also returned for objects owned by someone else
409State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight)
422Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...)

Örnekler

curl -s 'https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/mailboxes' \
  -H "Authorization: Bearer $GYRO_TOKEN"
gyro api request GET /cloud/mail/12345/mailboxes
# kaynak gyro_mail_mailbox: https://registry.terraform.io/providers/gyro-hosting/gyro/latest/docs/resources/mail_mailbox
data "gyro_services" "mail" { product_line = "mail" }

resource "gyro_mail_mailbox" "info" {
  service_id = data.gyro_services.mail.services[0].id
  local_part = "info"
  name       = "Info"
  quota_mb   = 2048
  password   = var.info_password
}
import os, uuid, requests

h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.get("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/mailboxes", headers=h, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/mailboxes", {
  method: "GET",
  headers: {
    "Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
  },
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);

#POST/cloud/mail/{id}/mailboxes

mailboxes:create (GyroMail)Kapsam: services_writetyped_post_mail__id__mailboxesBu işlemin OpenAPI parçası

Genel köprünün kısayolu: araç mailboxes, eylem create. Gövde alanları aracın kendi alanlarıdır.

Parametreler

AlaninTürAçıklama
id zorunlupathintegerService id

İstek gövdesi

AlanTürAçıklama
confirmboolean

Yanıtlar

202Tool data / result — data: object
404Not found — also returned for objects owned by someone else
409State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight)
422Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...)

Örnekler

curl -s -X POST 'https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/mailboxes' \
  -H "Authorization: Bearer $GYRO_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"confirm": true}'
gyro api request POST /cloud/mail/12345/mailboxes --data '{"confirm": true}'
# kaynak gyro_mail_mailbox: https://registry.terraform.io/providers/gyro-hosting/gyro/latest/docs/resources/mail_mailbox
data "gyro_services" "mail" { product_line = "mail" }

resource "gyro_mail_mailbox" "info" {
  service_id = data.gyro_services.mail.services[0].id
  local_part = "info"
  name       = "Info"
  quota_mb   = 2048
  password   = var.info_password
}
import os, uuid, requests

h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.post("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/mailboxes", headers=h, json={"confirm": True}, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/mailboxes", {
  method: "POST",
  headers: {
    "Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({"confirm": true}),
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);

#PATCH/cloud/mail/{id}/mailboxes/{local}

mailboxes:edit (GyroMail)Kapsam: services_writetyped_patch_mail__id__mailboxes__localBu işlemin OpenAPI parçası

Genel köprünün kısayolu: araç mailboxes, eylem edit. Gövde alanları aracın kendi alanlarıdır.

Parametreler

AlaninTürAçıklama
id zorunlupathintegerService id
local zorunlupathstringMailbox local part (before @)

İstek gövdesi

AlanTürAçıklama
confirmboolean

Yanıtlar

202Tool data / result — data: object
404Not found — also returned for objects owned by someone else
409State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight)
422Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...)

Örnekler

curl -s -X PATCH 'https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/mailboxes/1' \
  -H "Authorization: Bearer $GYRO_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"confirm": true}'
gyro api request PATCH /cloud/mail/12345/mailboxes/1 --data '{"confirm": true}'
# kaynak gyro_mail_mailbox: https://registry.terraform.io/providers/gyro-hosting/gyro/latest/docs/resources/mail_mailbox
data "gyro_services" "mail" { product_line = "mail" }

resource "gyro_mail_mailbox" "info" {
  service_id = data.gyro_services.mail.services[0].id
  local_part = "info"
  name       = "Info"
  quota_mb   = 2048
  password   = var.info_password
}
import os, uuid, requests

h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.patch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/mailboxes/1", headers=h, json={"confirm": True}, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/mailboxes/1", {
  method: "PATCH",
  headers: {
    "Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({"confirm": true}),
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);

#DELETE/cloud/mail/{id}/mailboxes/{local}

mailboxes:delete (GyroMail)Kapsam: services_writetyped_delete_mail__id__mailboxes__localBu işlemin OpenAPI parçası

Genel köprünün kısayolu: araç mailboxes, eylem delete. Gövde alanları aracın kendi alanlarıdır. "confirm": true gerekir.

Parametreler

AlaninTürAçıklama
id zorunlupathintegerService id
local zorunlupathstringMailbox local part (before @)

İstek gövdesi

AlanTürAçıklama
confirmboolean

Yanıtlar

202Tool data / result — data: object
404Not found — also returned for objects owned by someone else
409State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight)
422Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...)

Örnekler

curl -s -X DELETE 'https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/mailboxes/1' \
  -H "Authorization: Bearer $GYRO_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"confirm": true}'
gyro api request DELETE /cloud/mail/12345/mailboxes/1 --data '{"confirm": true}'
# kaynak gyro_mail_mailbox: https://registry.terraform.io/providers/gyro-hosting/gyro/latest/docs/resources/mail_mailbox
data "gyro_services" "mail" { product_line = "mail" }

resource "gyro_mail_mailbox" "info" {
  service_id = data.gyro_services.mail.services[0].id
  local_part = "info"
  name       = "Info"
  quota_mb   = 2048
  password   = var.info_password
}
import os, uuid, requests

h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.delete("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/mailboxes/1", headers=h, json={"confirm": True}, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/mailboxes/1", {
  method: "DELETE",
  headers: {
    "Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({"confirm": true}),
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);

#POST/cloud/mail/{id}/mailboxes/{local}/password

mailboxes:password (GyroMail)Kapsam: services_writetyped_post_mail__id__mailboxes__local__passwordBu işlemin OpenAPI parçası

Genel köprünün kısayolu: araç mailboxes, eylem password. Gövde alanları aracın kendi alanlarıdır.

Parametreler

AlaninTürAçıklama
id zorunlupathintegerService id
local zorunlupathstringMailbox local part (before @)

İstek gövdesi

AlanTürAçıklama
confirmboolean

Yanıtlar

202Tool data / result — data: object
404Not found — also returned for objects owned by someone else
409State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight)
422Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...)

Örnekler

curl -s -X POST 'https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/mailboxes/1/password' \
  -H "Authorization: Bearer $GYRO_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"confirm": true}'
gyro mail mailbox password 12345 --help    # tüm seçenekler
# kaynak gyro_mail_mailbox: https://registry.terraform.io/providers/gyro-hosting/gyro/latest/docs/resources/mail_mailbox
data "gyro_services" "mail" { product_line = "mail" }

resource "gyro_mail_mailbox" "info" {
  service_id = data.gyro_services.mail.services[0].id
  local_part = "info"
  name       = "Info"
  quota_mb   = 2048
  password   = var.info_password
}
import os, uuid, requests

h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.post("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/mailboxes/1/password", headers=h, json={"confirm": True}, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/mailboxes/1/password", {
  method: "POST",
  headers: {
    "Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({"confirm": true}),
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);

#GET/cloud/mail/{id}/aliases

aliases (GyroMail)Kapsam: services_readtyped_get_mail__id__aliasesBu işlemin OpenAPI parçası

Genel köprünün kısayolu: araç aliases. Gövde alanları aracın kendi alanlarıdır.

Parametreler

AlaninTürAçıklama
id zorunlupathintegerService id

Yanıtlar

200Tool data / result — data: object
404Not found — also returned for objects owned by someone else
409State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight)
422Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...)

Örnekler

curl -s 'https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/aliases' \
  -H "Authorization: Bearer $GYRO_TOKEN"
gyro api request GET /cloud/mail/12345/aliases
# kaynak gyro_mail_alias: https://registry.terraform.io/providers/gyro-hosting/gyro/latest/docs/resources/mail_alias
resource "gyro_mail_alias" "sales" {
  service_id = 123
  local_part = "sales"
  goto       = ["[email protected]", "[email protected]"]
}
import os, uuid, requests

h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.get("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/aliases", headers=h, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/aliases", {
  method: "GET",
  headers: {
    "Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
  },
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);

#POST/cloud/mail/{id}/aliases

aliases:create (GyroMail)Kapsam: services_writetyped_post_mail__id__aliasesBu işlemin OpenAPI parçası

Genel köprünün kısayolu: araç aliases, eylem create. Gövde alanları aracın kendi alanlarıdır.

Parametreler

AlaninTürAçıklama
id zorunlupathintegerService id

İstek gövdesi

AlanTürAçıklama
confirmboolean

Yanıtlar

202Tool data / result — data: object
404Not found — also returned for objects owned by someone else
409State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight)
422Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...)

Örnekler

curl -s -X POST 'https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/aliases' \
  -H "Authorization: Bearer $GYRO_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"confirm": true}'
gyro api request POST /cloud/mail/12345/aliases --data '{"confirm": true}'
# kaynak gyro_mail_alias: https://registry.terraform.io/providers/gyro-hosting/gyro/latest/docs/resources/mail_alias
resource "gyro_mail_alias" "sales" {
  service_id = 123
  local_part = "sales"
  goto       = ["[email protected]", "[email protected]"]
}
import os, uuid, requests

h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.post("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/aliases", headers=h, json={"confirm": True}, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/aliases", {
  method: "POST",
  headers: {
    "Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({"confirm": true}),
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);

#PATCH/cloud/mail/{id}/aliases/{aid}

aliases:edit (GyroMail)Kapsam: services_writetyped_patch_mail__id__aliases__aidBu işlemin OpenAPI parçası

Genel köprünün kısayolu: araç aliases, eylem edit. Gövde alanları aracın kendi alanlarıdır.

Parametreler

AlaninTürAçıklama
id zorunlupathintegerService id
aid zorunlupathstring

İstek gövdesi

AlanTürAçıklama
confirmboolean

Yanıtlar

202Tool data / result — data: object
404Not found — also returned for objects owned by someone else
409State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight)
422Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...)

Örnekler

curl -s -X PATCH 'https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/aliases/1' \
  -H "Authorization: Bearer $GYRO_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"confirm": true}'
gyro api request PATCH /cloud/mail/12345/aliases/1 --data '{"confirm": true}'
# kaynak gyro_mail_alias: https://registry.terraform.io/providers/gyro-hosting/gyro/latest/docs/resources/mail_alias
resource "gyro_mail_alias" "sales" {
  service_id = 123
  local_part = "sales"
  goto       = ["[email protected]", "[email protected]"]
}
import os, uuid, requests

h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.patch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/aliases/1", headers=h, json={"confirm": True}, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/aliases/1", {
  method: "PATCH",
  headers: {
    "Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({"confirm": true}),
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);

#DELETE/cloud/mail/{id}/aliases/{aid}

aliases:delete (GyroMail)Kapsam: services_writetyped_delete_mail__id__aliases__aidBu işlemin OpenAPI parçası

Genel köprünün kısayolu: araç aliases, eylem delete. Gövde alanları aracın kendi alanlarıdır. "confirm": true gerekir.

Parametreler

AlaninTürAçıklama
id zorunlupathintegerService id
aid zorunlupathstring

İstek gövdesi

AlanTürAçıklama
confirmboolean

Yanıtlar

202Tool data / result — data: object
404Not found — also returned for objects owned by someone else
409State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight)
422Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...)

Örnekler

curl -s -X DELETE 'https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/aliases/1' \
  -H "Authorization: Bearer $GYRO_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"confirm": true}'
gyro api request DELETE /cloud/mail/12345/aliases/1 --data '{"confirm": true}'
# kaynak gyro_mail_alias: https://registry.terraform.io/providers/gyro-hosting/gyro/latest/docs/resources/mail_alias
resource "gyro_mail_alias" "sales" {
  service_id = 123
  local_part = "sales"
  goto       = ["[email protected]", "[email protected]"]
}
import os, uuid, requests

h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.delete("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/aliases/1", headers=h, json={"confirm": True}, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/aliases/1", {
  method: "DELETE",
  headers: {
    "Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({"confirm": true}),
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);

#GET/cloud/mail/{id}/catch-all

catch-all (GyroMail)Kapsam: services_readtyped_get_mail__id__catch_allBu işlemin OpenAPI parçası

Genel köprünün kısayolu: araç catch-all. Gövde alanları aracın kendi alanlarıdır.

Parametreler

AlaninTürAçıklama
id zorunlupathintegerService id

Yanıtlar

200Tool data / result — data: object
404Not found — also returned for objects owned by someone else
409State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight)
422Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...)

Örnekler

curl -s 'https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/catch-all' \
  -H "Authorization: Bearer $GYRO_TOKEN"
gyro api request GET /cloud/mail/12345/catch-all
import os, uuid, requests

h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.get("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/catch-all", headers=h, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/catch-all", {
  method: "GET",
  headers: {
    "Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
  },
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);

#PUT/cloud/mail/{id}/catch-all

catch-all:edit (GyroMail)Kapsam: services_writetyped_put_mail__id__catch_allBu işlemin OpenAPI parçası

Genel köprünün kısayolu: araç catch-all, eylem edit. Gövde alanları aracın kendi alanlarıdır.

Parametreler

AlaninTürAçıklama
id zorunlupathintegerService id

İstek gövdesi

AlanTürAçıklama
confirmboolean

Yanıtlar

202Tool data / result — data: object
404Not found — also returned for objects owned by someone else
409State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight)
422Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...)

Örnekler

curl -s -X PUT 'https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/catch-all' \
  -H "Authorization: Bearer $GYRO_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"confirm": true}'
gyro mail catch-all set 12345 --help    # tüm seçenekler
import os, uuid, requests

h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.put("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/catch-all", headers=h, json={"confirm": True}, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/catch-all", {
  method: "PUT",
  headers: {
    "Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({"confirm": true}),
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);

#GET/cloud/mail/{id}/autoresponders

autoresponder (GyroMail)Kapsam: services_readtyped_get_mail__id__autorespondersBu işlemin OpenAPI parçası

Genel köprünün kısayolu: araç autoresponder. Gövde alanları aracın kendi alanlarıdır.

Parametreler

AlaninTürAçıklama
id zorunlupathintegerService id

Yanıtlar

200Tool data / result — data: object
404Not found — also returned for objects owned by someone else
409State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight)
422Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...)

Örnekler

curl -s 'https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/autoresponders' \
  -H "Authorization: Bearer $GYRO_TOKEN"
gyro api request GET /cloud/mail/12345/autoresponders
import os, uuid, requests

h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.get("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/autoresponders", headers=h, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/autoresponders", {
  method: "GET",
  headers: {
    "Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
  },
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);

#PUT/cloud/mail/{id}/autoresponders/{local}

autoresponder:edit (GyroMail)Kapsam: services_writetyped_put_mail__id__autoresponders__localBu işlemin OpenAPI parçası

Genel köprünün kısayolu: araç autoresponder, eylem edit. Gövde alanları aracın kendi alanlarıdır.

Parametreler

AlaninTürAçıklama
id zorunlupathintegerService id
local zorunlupathstringMailbox local part (before @)

İstek gövdesi

AlanTürAçıklama
confirmboolean

Yanıtlar

202Tool data / result — data: object
404Not found — also returned for objects owned by someone else
409State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight)
422Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...)

Örnekler

curl -s -X PUT 'https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/autoresponders/1' \
  -H "Authorization: Bearer $GYRO_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"confirm": true}'
gyro mail autoresponder set 12345 --help    # tüm seçenekler
import os, uuid, requests

h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.put("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/autoresponders/1", headers=h, json={"confirm": True}, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/autoresponders/1", {
  method: "PUT",
  headers: {
    "Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({"confirm": true}),
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);

#DELETE/cloud/mail/{id}/autoresponders/{local}

autoresponder:delete (GyroMail)Kapsam: services_writetyped_delete_mail__id__autoresponders__localBu işlemin OpenAPI parçası

Genel köprünün kısayolu: araç autoresponder, eylem delete. Gövde alanları aracın kendi alanlarıdır. "confirm": true gerekir.

Parametreler

AlaninTürAçıklama
id zorunlupathintegerService id
local zorunlupathstringMailbox local part (before @)

İstek gövdesi

AlanTürAçıklama
confirmboolean

Yanıtlar

202Tool data / result — data: object
404Not found — also returned for objects owned by someone else
409State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight)
422Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...)

Örnekler

curl -s -X DELETE 'https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/autoresponders/1' \
  -H "Authorization: Bearer $GYRO_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"confirm": true}'
gyro api request DELETE /cloud/mail/12345/autoresponders/1 --data '{"confirm": true}'
import os, uuid, requests

h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.delete("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/autoresponders/1", headers=h, json={"confirm": True}, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/autoresponders/1", {
  method: "DELETE",
  headers: {
    "Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({"confirm": true}),
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);

#GET/cloud/mail/{id}/migrations

sync-jobs (GyroMail)Kapsam: services_readtyped_get_mail__id__migrationsBu işlemin OpenAPI parçası

Genel köprünün kısayolu: araç sync-jobs. Gövde alanları aracın kendi alanlarıdır.

Parametreler

AlaninTürAçıklama
id zorunlupathintegerService id

Yanıtlar

200Tool data / result — data: object
404Not found — also returned for objects owned by someone else
409State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight)
422Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...)

Örnekler

curl -s 'https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/migrations' \
  -H "Authorization: Bearer $GYRO_TOKEN"
gyro api request GET /cloud/mail/12345/migrations
import os, uuid, requests

h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.get("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/migrations", headers=h, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/migrations", {
  method: "GET",
  headers: {
    "Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
  },
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);

#POST/cloud/mail/{id}/migrations

sync-jobs:create (GyroMail)Kapsam: services_writetyped_post_mail__id__migrationsBu işlemin OpenAPI parçası

Genel köprünün kısayolu: araç sync-jobs, eylem create. Gövde alanları aracın kendi alanlarıdır.

Parametreler

AlaninTürAçıklama
id zorunlupathintegerService id

İstek gövdesi

AlanTürAçıklama
confirmboolean

Yanıtlar

202Tool data / result — data: object
404Not found — also returned for objects owned by someone else
409State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight)
422Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...)

Örnekler

curl -s -X POST 'https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/migrations' \
  -H "Authorization: Bearer $GYRO_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"confirm": true}'
gyro api request POST /cloud/mail/12345/migrations --data '{"confirm": true}'
import os, uuid, requests

h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.post("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/migrations", headers=h, json={"confirm": True}, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/migrations", {
  method: "POST",
  headers: {
    "Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({"confirm": true}),
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);

#POST/cloud/mail/{id}/migrations/{jid}/run

sync-jobs:run (GyroMail)Kapsam: services_writetyped_post_mail__id__migrations__jid__runBu işlemin OpenAPI parçası

Genel köprünün kısayolu: araç sync-jobs, eylem run. Gövde alanları aracın kendi alanlarıdır. "confirm": true gerekir.

Parametreler

AlaninTürAçıklama
id zorunlupathintegerService id
jid zorunlupathstring

İstek gövdesi

AlanTürAçıklama
confirmboolean

Yanıtlar

202Tool data / result — data: object
404Not found — also returned for objects owned by someone else
409State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight)
422Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...)

Örnekler

curl -s -X POST 'https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/migrations/1/run' \
  -H "Authorization: Bearer $GYRO_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"confirm": true}'
gyro mail migration run 12345 --help    # tüm seçenekler
import os, uuid, requests

h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.post("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/migrations/1/run", headers=h, json={"confirm": True}, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/migrations/1/run", {
  method: "POST",
  headers: {
    "Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({"confirm": true}),
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);

#DELETE/cloud/mail/{id}/migrations/{jid}

sync-jobs:delete (GyroMail)Kapsam: services_writetyped_delete_mail__id__migrations__jidBu işlemin OpenAPI parçası

Genel köprünün kısayolu: araç sync-jobs, eylem delete. Gövde alanları aracın kendi alanlarıdır. "confirm": true gerekir.

Parametreler

AlaninTürAçıklama
id zorunlupathintegerService id
jid zorunlupathstring

İstek gövdesi

AlanTürAçıklama
confirmboolean

Yanıtlar

202Tool data / result — data: object
404Not found — also returned for objects owned by someone else
409State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight)
422Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...)

Örnekler

curl -s -X DELETE 'https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/migrations/1' \
  -H "Authorization: Bearer $GYRO_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"confirm": true}'
gyro api request DELETE /cloud/mail/12345/migrations/1 --data '{"confirm": true}'
import os, uuid, requests

h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.delete("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/migrations/1", headers=h, json={"confirm": True}, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/migrations/1", {
  method: "DELETE",
  headers: {
    "Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({"confirm": true}),
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);

#GET/cloud/mail/{id}/dns

dns-setup (GyroMail)Kapsam: services_readtyped_get_mail__id__dnsBu işlemin OpenAPI parçası

Genel köprünün kısayolu: araç dns-setup. Gövde alanları aracın kendi alanlarıdır.

Parametreler

AlaninTürAçıklama
id zorunlupathintegerService id

Yanıtlar

200Tool data / result — data: object
404Not found — also returned for objects owned by someone else
409State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight)
422Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...)

Örnekler

curl -s 'https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/dns' \
  -H "Authorization: Bearer $GYRO_TOKEN"
gyro api request GET /cloud/mail/12345/dns
import os, uuid, requests

h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.get("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/dns", headers=h, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/dns", {
  method: "GET",
  headers: {
    "Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
  },
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);

#POST/cloud/mail/{id}/dns/verify

dns-setup:verify (GyroMail)Kapsam: services_writetyped_post_mail__id__dns_verifyBu işlemin OpenAPI parçası

Genel köprünün kısayolu: araç dns-setup, eylem verify. Gövde alanları aracın kendi alanlarıdır.

Parametreler

AlaninTürAçıklama
id zorunlupathintegerService id

İstek gövdesi

AlanTürAçıklama
confirmboolean

Yanıtlar

202Tool data / result — data: object
404Not found — also returned for objects owned by someone else
409State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight)
422Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...)

Örnekler

curl -s -X POST 'https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/dns/verify' \
  -H "Authorization: Bearer $GYRO_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"confirm": true}'
gyro mail dns verify 12345 --help    # tüm seçenekler
import os, uuid, requests

h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.post("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/dns/verify", headers=h, json={"confirm": True}, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/dns/verify", {
  method: "POST",
  headers: {
    "Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({"confirm": true}),
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);

#GET/cloud/mail/{id}/spam-filter

spam-filter (GyroMail)Kapsam: services_readtyped_get_mail__id__spam_filterBu işlemin OpenAPI parçası

Genel köprünün kısayolu: araç spam-filter. Gövde alanları aracın kendi alanlarıdır.

Parametreler

AlaninTürAçıklama
id zorunlupathintegerService id

Yanıtlar

200Tool data / result — data: object
404Not found — also returned for objects owned by someone else
409State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight)
422Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...)

Örnekler

curl -s 'https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/spam-filter' \
  -H "Authorization: Bearer $GYRO_TOKEN"
gyro mail spam-filter get 12345
import os, uuid, requests

h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.get("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/spam-filter", headers=h, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/spam-filter", {
  method: "GET",
  headers: {
    "Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
  },
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);

#GET/cloud/mail/{id}/delivery-log

delivery-log (GyroMail)Kapsam: services_readtyped_get_mail__id__delivery_logBu işlemin OpenAPI parçası

Genel köprünün kısayolu: araç delivery-log. Gövde alanları aracın kendi alanlarıdır.

Parametreler

AlaninTürAçıklama
id zorunlupathintegerService id

Yanıtlar

200Tool data / result — data: object
404Not found — also returned for objects owned by someone else
409State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight)
422Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...)

Örnekler

curl -s 'https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/delivery-log' \
  -H "Authorization: Bearer $GYRO_TOKEN"
gyro mail delivery-log get 12345
import os, uuid, requests

h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.get("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/delivery-log", headers=h, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/delivery-log", {
  method: "GET",
  headers: {
    "Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
  },
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);

#GET/cloud/mail/{id}/quarantine

quarantine (GyroMail)Kapsam: services_readtyped_get_mail__id__quarantineBu işlemin OpenAPI parçası

Genel köprünün kısayolu: araç quarantine. Gövde alanları aracın kendi alanlarıdır.

Parametreler

AlaninTürAçıklama
id zorunlupathintegerService id

Yanıtlar

200Tool data / result — data: object
404Not found — also returned for objects owned by someone else
409State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight)
422Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...)

Örnekler

curl -s 'https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/quarantine' \
  -H "Authorization: Bearer $GYRO_TOKEN"
gyro mail quarantine get 12345
import os, uuid, requests

h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.get("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/quarantine", headers=h, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/quarantine", {
  method: "GET",
  headers: {
    "Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
  },
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);

#GET/cloud/mail/{id}/deleted

deleted-mail (GyroMail)Kapsam: services_readtyped_get_mail__id__deletedBu işlemin OpenAPI parçası

Genel köprünün kısayolu: araç deleted-mail. Gövde alanları aracın kendi alanlarıdır.

Parametreler

AlaninTürAçıklama
id zorunlupathintegerService id

Yanıtlar

200Tool data / result — data: object
404Not found — also returned for objects owned by someone else
409State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight)
422Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...)

Örnekler

curl -s 'https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/deleted' \
  -H "Authorization: Bearer $GYRO_TOKEN"
gyro mail deleted get 12345
import os, uuid, requests

h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.get("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/deleted", headers=h, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/deleted", {
  method: "GET",
  headers: {
    "Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
  },
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);

#GET/cloud/mail/{id}/archive

archive (GyroMail)Kapsam: services_readtyped_get_mail__id__archiveBu işlemin OpenAPI parçası

Genel köprünün kısayolu: araç archive. Gövde alanları aracın kendi alanlarıdır.

Parametreler

AlaninTürAçıklama
id zorunlupathintegerService id

Yanıtlar

200Tool data / result — data: object
404Not found — also returned for objects owned by someone else
409State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight)
422Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...)

Örnekler

curl -s 'https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/archive' \
  -H "Authorization: Bearer $GYRO_TOKEN"
gyro mail archive get 12345
import os, uuid, requests

h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.get("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/archive", headers=h, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/archive", {
  method: "GET",
  headers: {
    "Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
  },
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);

#GET/cloud/mail/{id}/two-factor

two-factor (GyroMail)Kapsam: services_readtyped_get_mail__id__two_factorBu işlemin OpenAPI parçası

Genel köprünün kısayolu: araç two-factor. Gövde alanları aracın kendi alanlarıdır.

Parametreler

AlaninTürAçıklama
id zorunlupathintegerService id

Yanıtlar

200Tool data / result — data: object
404Not found — also returned for objects owned by someone else
409State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight)
422Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...)

Örnekler

curl -s 'https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/two-factor' \
  -H "Authorization: Bearer $GYRO_TOKEN"
gyro mail two-factor get 12345
import os, uuid, requests

h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.get("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/two-factor", headers=h, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/two-factor", {
  method: "GET",
  headers: {
    "Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
  },
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);

#GET/cloud/mail/{id}/plan

plan-size (GyroMail)Kapsam: services_readtyped_get_mail__id__planBu işlemin OpenAPI parçası

Genel köprünün kısayolu: araç plan-size. Gövde alanları aracın kendi alanlarıdır.

Parametreler

AlaninTürAçıklama
id zorunlupathintegerService id

Yanıtlar

200Tool data / result — data: object
404Not found — also returned for objects owned by someone else
409State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight)
422Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...)

Örnekler

curl -s 'https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/plan' \
  -H "Authorization: Bearer $GYRO_TOKEN"
gyro mail plan get 12345
import os, uuid, requests

h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.get("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/plan", headers=h, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/mail/12345/plan", {
  method: "GET",
  headers: {
    "Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
  },
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);